# Zhu3D Version 3.4.0
# (C) 1991-2008 Heinz van Saanen


# NORMAL USAGE:
# ============================================================================
# Normal users will need just a simple qmake. All paths for the default
# directories are automatically relative to the application path then.
#
# Intel compiler ICC:
# "qmake -spec linux-icc" instead of qmake solely


# PACKAGERS/TAYLORING:
# ============================================================================
# As packager or for tayloring you easely can redefine the locations of the
# default directories. Open and edit the file zhu3d.pri for this. More
# information is included there.


# General
# ============================================================================
TEMPLATE = app
CONFIG  += release
TARGET   = zhu3d
QT      += opengl


# Disable comments for more aggressive optimizations. For GCC results are not
# very impressive, but this shows the principle. For ICC the option -O3 or
# -fast may be worth a try.
# ============================================================================
# QMAKE_CFLAGS_RELEASE -= -O2
# QMAKE_CFLAGS_RELEASE += -O3
# QMAKE_CXXFLAGS_RELEASE -= -O2
# QMAKE_CXXFLAGS_RELEASE += -O3


# Include the definition file to set default paths
# ============================================================================
!win32 { include("zhu3d.pri") }


# Header files
# ============================================================================
HEADERS = ./src/mainwindow.h \
          ./src/glwidget.h \
          ./src/gldraw.h \
          ./src/solver.h \
          ./src/warp/fparser.h \
          ./src/warp/fpconfig.h \
          ./src/warp/pwarp/pfparser.h \
          ./src/warp/pwarp/pfpconfig.h \
          ./src/pinterface.h \
          ./src/ppinterface.h \
          ./src/ligedit.h \
          ./src/matedit.h \
          ./src/entedit.h \
          ./src/aniedit.h \
          ./src/moredit.h \
          ./src/picedit.h \
          ./src/fntedit.h \
          ./src/demedit.h \
          ./src/funedit.h \
          ./src/speedit.h \
          ./src/diredit.h \
          ./src/usredit.h \
          ./src/property.h \
          ./src/version.h \
          ./src/timers.h \
          ./src/sysinfo.h \
          ./src/paths.h \
          ./src/iso.h \
          ./src/error.h


# Source files
# ============================================================================
SOURCES = ./src/main.cpp \
          ./src/mainwindow.cpp \
          ./src/glwidget.cpp \
          ./src/gldraw.cpp \
          ./src/warp/fparser.cpp \
          ./src/warp/fpoptimizer.cpp \
          ./src/warp/pwarp/pfparser.cpp \
          ./src/pinterface.cpp \
          ./src/ppinterface.cpp \
          ./src/ligedit.cpp \
          ./src/matedit.cpp \
          ./src/entedit.cpp \
          ./src/aniedit.cpp \
          ./src/moredit.cpp \
          ./src/picedit.cpp \
          ./src/fntedit.cpp \
          ./src/demedit.cpp \
          ./src/funedit.cpp \
          ./src/speedit.cpp \
          ./src/diredit.cpp \
          ./src/usredit.cpp \
          ./src/property.cpp \
          ./src/solver.cpp \
          ./src/timers.cpp \
          ./src/sysinfo.cpp \
          ./src/iso.cpp \
          ./src/error.cpp


# User interface files
# ============================================================================
FORMS =   ./src/ui/mainwindow.ui \
          ./src/ui/ligedit.ui \
          ./src/ui/matedit.ui \
          ./src/ui/entedit.ui \
          ./src/ui/aniedit.ui \
          ./src/ui/moredit.ui \
          ./src/ui/picedit.ui \
          ./src/ui/funedit.ui \
          ./src/ui/speedit.ui \
          ./src/ui/diredit.ui \
          ./src/ui/error.ui


# Translation files
# ============================================================================
!isEmpty(SYSDIR) {
    TRANSLATIONS = $$SYSDIR/languages/zhu3d_es.ts \
                   $$SYSDIR/languages/zhu3d_de.ts \
                   $$SYSDIR/languages/zhu3d_zh.ts \
                   $$SYSDIR/languages/zhu3d_fr.ts }
else {
    TRANSLATIONS = ./system/languages/zhu3d_es.ts \
                   ./system/languages/zhu3d_de.ts \
                   ./system/languages/zhu3d_zh.ts \
                   ./system/languages/zhu3d_fr.ts }


# Linux respectively Windows-resources
# ============================================================================
RESOURCES = ./src/zhu3d.qrc
RC_FILE   = ./src/winicon.rc


# Consider extra Windows-libraries
# ============================================================================
win32 { LIBS += -lwinmm }


# The last section sets specific paths and therefore is interesting only,
# when you edited zhu3d.pri for packaging/tayloring purposes.
# ============================================================================

!isEmpty(SYSDIR)  { QMAKE_CXXFLAGS_RELEASE+=-DSYSDIR="\\\"$${SYSDIR}\\\"" }
!isEmpty(DOCDIR)  { QMAKE_CXXFLAGS_RELEASE+=-DDOCDIR="\\\"$${DOCDIR}\\\"" }
!isEmpty(WORKDIR) { QMAKE_CXXFLAGS_RELEASE+=-DWORKDIR="\\\"$${WORKDIR}\\\"" }
!isEmpty(TEXDIR)  { QMAKE_CXXFLAGS_RELEASE+=-DTEXDIR="\\\"$${TEXDIR}\\\"" }
!isEmpty(DEFGUI)  { QMAKE_CXXFLAGS_RELEASE+=-DDEFGUI="\\\"$${DEFGUI}\\\"" }
